<?php

namespace App\Classes\Modules\ControllersLogic\Companies;


use App\Classes\Modules\Companies\Services\SearchesCompany;
use Illuminate\Http\Request;

class SearchCompanyLogic
{
    /** @var  SearchesCompany */
    private $SearchesCompany;

    /**
     * SearchCompanyLogic constructor.
     * @param SearchesCompany $SearchesCompany
     */
    public function __construct(SearchesCompany $SearchesCompany)
    {
        $this->SearchesCompany = $SearchesCompany;
    }


    public function execute(Request $request){

        return $this->SearchesCompany->execute($request);
    }

}